Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 646126 - net-libs/libgssglue-0.4 gssapi_mech.conf provides wrong path to libgssapi_krb5.so on 64-bit system
Summary: net-libs/libgssglue-0.4 gssapi_mech.conf provides wrong path to libgssapi_krb...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: no-symlink-lib
  Show dependency tree
 
Reported: 2018-01-30 15:42 UTC by Steffen Hau
Modified: 2019-04-16 08:52 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
lib -> $(get_libdir) (libgssglue-0.4.ebuild.diff,1.65 KB, patch)
2018-06-17 13:48 UTC, Jimmy.Jazz
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steffen Hau 2018-01-30 15:42:57 UTC
I've switched to amd64 17.1 profile and rdesktop reports the follwoing warning:

can't open /usr/lib/libgssapi_krb5.so: /usr/lib/libgssapi_krb5.so: cannot open shared object file: No such file or directory
WARNING: CredSSP: System doesn't have support for desired authentication mechanism.

/etc/gssapi_mech.conf refers to /usr/lib/libgssapi_krb5.so instead of /usr/lib64/libgssapi_krb5.so. Perhaps the ebuild should sed the path according to get_libdir.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-06-17 06:49:58 UTC
@kerberos, interested in this package?

It's only optional revdep of:
  app-admin/conserver
  net-misc/rdesktop
  sys-devel/distcc

The ebuild is ancient, ugly, uses EAPI 4 and has seen no love since 2012.  If nobody wants to fix it, time to punt.
Comment 2 Jimmy.Jazz 2018-06-17 13:48:04 UTC
Created attachment 536100 [details, diff]
lib -> $(get_libdir)
Comment 3 Virgil Dupras (RETIRED) gentoo-dev 2018-10-12 12:57:52 UTC
CCing maintainers of:

  app-admin/conserver
  net-misc/rdesktop
  sys-devel/distcc

People, your packages depend on a broken and unmaintained package. Does anyone object to a course of action that would lead to the masking of your kerberos/gssapi USE flag? If yes, would you mind maintaining this package then?
Comment 4 Larry the Git Cow gentoo-dev 2018-11-11 13:07:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f0109e8757ae13596cd31b7fef5ccc1b1d808f5

commit 1f0109e8757ae13596cd31b7fef5ccc1b1d808f5
Author:     Pacho Ramos <pacho@gentoo.org>
AuthorDate: 2018-11-11 12:21:39 +0000
Commit:     Pacho Ramos <pacho@gentoo.org>
CommitDate: 2018-11-11 13:07:26 +0000

    net-libs/libgssglue: Fix no-symlink-lib bug
    
    Closes: https://bugs.gentoo.org/646126
    Signed-off-by: Pacho Ramos <pacho@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 .../libgssglue-0.4-implicit-declarations.patch     |  4 +--
 net-libs/libgssglue/libgssglue-0.4-r1.ebuild       | 39 ++++++++++++++++++++++
 2 files changed, 41 insertions(+), 2 deletions(-)
Comment 5 Larry the Git Cow gentoo-dev 2019-04-16 08:51:10 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=290bb3e92f5be41c5693ce86a9d04d05046c62ba

commit 290bb3e92f5be41c5693ce86a9d04d05046c62ba
Author:     Bernard Cafarelli <voyageur@gentoo.org>
AuthorDate: 2019-04-16 08:50:55 +0000
Commit:     Bernard Cafarelli <voyageur@gentoo.org>
CommitDate: 2019-04-16 08:50:55 +0000

    net-misc/rdesktop: use standard GSSAPI
    
    Backport upstream master patch to switch away from using abandoned
    project libgssglue
    
    Bug: https://bugs.gentoo.org/646126
    Package-Manager: Portage-2.3.63, Repoman-2.3.12
    Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>

 .../files/rdesktop-1.8.4-use_standard_gssapi.patch | 82 ++++++++++++++++++++++
 net-misc/rdesktop/rdesktop-1.8.4-r2.ebuild         | 71 +++++++++++++++++++
 2 files changed, 153 insertions(+)
Comment 6 Bernard Cafarelli gentoo-dev 2019-04-16 08:52:42 UTC
(In reply to Virgil Dupras from comment #3)
> CCing maintainers of:
> 
>   app-admin/conserver
>   net-misc/rdesktop
>   sys-devel/distcc
> 
> People, your packages depend on a broken and unmaintained package. Does
> anyone object to a course of action that would lead to the masking of your
> kerberos/gssapi USE flag? If yes, would you mind maintaining this package
> then?

Upstream switched to standard GSSAPI in master, I backported the patch (only change in 1.8.4-r2 ebuild compared to current stable